diff -urp webkitgtk-2.32.1.gstreamer/Source/JavaScriptCore/runtime/IntlNumberFormat.cpp webkitgtk-2.32.1/Source/JavaScriptCore/runtime/IntlNumberFormat.cpp
--- webkitgtk-2.32.1.gstreamer/Source/JavaScriptCore/runtime/IntlNumberFormat.cpp	2021-02-26 03:57:05.000000000 -0600
+++ webkitgtk-2.32.1/Source/JavaScriptCore/runtime/IntlNumberFormat.cpp	2021-05-22 16:00:30.670479300 -0500
@@ -794,38 +392,19 @@ JSObject* IntlNumberFormat::resolvedOpti
     options->putDirect(vm, vm.propertyNames->locale, jsString(vm, m_locale));
     options->putDirect(vm, vm.propertyNames->numberingSystem, jsString(vm, m_numberingSystem));
     options->putDirect(vm, vm.propertyNames->style, jsNontrivialString(vm, styleString(m_style)));
-    switch (m_style) {
-    case Style::Decimal:
-    case Style::Percent:
-        break;
-    case Style::Currency:
+    if (m_style == Style::Currency) {
         options->putDirect(vm, Identifier::fromString(vm, "currency"), jsNontrivialString(vm, m_currency));
         options->putDirect(vm, Identifier::fromString(vm, "currencyDisplay"), jsNontrivialString(vm, currencyDisplayString(m_currencyDisplay)));
-        options->putDirect(vm, Identifier::fromString(vm, "currencySign"), jsNontrivialString(vm, currencySignString(m_currencySign)));
-        break;
-    case Style::Unit:
-        options->putDirect(vm, Identifier::fromString(vm, "unit"), jsNontrivialString(vm, m_unit));
-        options->putDirect(vm, Identifier::fromString(vm, "unitDisplay"), jsNontrivialString(vm, unitDisplayString(m_unitDisplay)));
-        break;
     }
     options->putDirect(vm, vm.propertyNames->minimumIntegerDigits, jsNumber(m_minimumIntegerDigits));
-    switch (m_roundingType) {
-    case IntlRoundingType::FractionDigits:
-        options->putDirect(vm, vm.propertyNames->minimumFractionDigits, jsNumber(m_minimumFractionDigits));
-        options->putDirect(vm, vm.propertyNames->maximumFractionDigits, jsNumber(m_maximumFractionDigits));
-        break;
-    case IntlRoundingType::SignificantDigits:
+    options->putDirect(vm, vm.propertyNames->minimumFractionDigits, jsNumber(m_minimumFractionDigits));
+    options->putDirect(vm, vm.propertyNames->maximumFractionDigits, jsNumber(m_maximumFractionDigits));
+    if (m_minimumSignificantDigits) {
+        ASSERT(m_maximumSignificantDigits);
         options->putDirect(vm, vm.propertyNames->minimumSignificantDigits, jsNumber(m_minimumSignificantDigits));
         options->putDirect(vm, vm.propertyNames->maximumSignificantDigits, jsNumber(m_maximumSignificantDigits));
-        break;
-    case IntlRoundingType::CompactRounding:
-        break;
     }
     options->putDirect(vm, Identifier::fromString(vm, "useGrouping"), jsBoolean(m_useGrouping));
-    options->putDirect(vm, Identifier::fromString(vm, "notation"), jsNontrivialString(vm, notationString(m_notation)));
-    if (m_notation == IntlNotation::Compact)
-        options->putDirect(vm, Identifier::fromString(vm, "compactDisplay"), jsNontrivialString(vm, compactDisplayString(m_compactDisplay)));
-    options->putDirect(vm, Identifier::fromString(vm, "signDisplay"), jsNontrivialString(vm, signDisplayString(m_signDisplay)));
     return options;
 }
 
@@ -834,7 +413,7 @@ void IntlNumberFormat::setBoundFormat(VM
     m_boundFormat.set(vm, this, format);
 }
 
-static ASCIILiteral partTypeString(UNumberFormatFields field, IntlNumberFormat::Style style, double value)
+static ASCIILiteral partTypeString(UNumberFormatFields field, double value)
 {
     switch (field) {
     case UNUM_INTEGER_FIELD:
@@ -847,31 +426,20 @@ static ASCIILiteral partTypeString(UNumb
         return "fraction"_s;
     case UNUM_DECIMAL_SEPARATOR_FIELD:
         return "decimal"_s;
-    case UNUM_EXPONENT_SYMBOL_FIELD:
-        return "exponentSeparator"_s;
-    case UNUM_EXPONENT_SIGN_FIELD:
-        return "exponentMinusSign"_s;
-    case UNUM_EXPONENT_FIELD:
-        return "exponentInteger"_s;
     case UNUM_GROUPING_SEPARATOR_FIELD:
         return "group"_s;
     case UNUM_CURRENCY_FIELD:
         return "currency"_s;
     case UNUM_PERCENT_FIELD:
-        // If the style is "unit", we should report as unit.
-        // JSTests/test262/test/intl402/NumberFormat/prototype/formatToParts/percent-en-US.js
-        return (style == IntlNumberFormat::Style::Unit) ? "unit"_s : "percentSign"_s;
+        return "percentSign"_s;
     case UNUM_SIGN_FIELD:
-        return std::signbit(value) ? "minusSign"_s : "plusSign"_s;
-#if HAVE(ICU_U_NUMBER_FORMATTER)
-    case UNUM_MEASURE_UNIT_FIELD:
-        return "unit"_s;
-    case UNUM_COMPACT_FIELD:
-        return "compact"_s;
-#endif
+        return value < 0 ? "minusSign"_s : "plusSign"_s;
     // These should not show up because there is no way to specify them in NumberFormat options.
     // If they do, they don't fit well into any of known part types, so consider it an "unknown".
     case UNUM_PERMILL_FIELD:
+    case UNUM_EXPONENT_SYMBOL_FIELD:
+    case UNUM_EXPONENT_SIGN_FIELD:
+    case UNUM_EXPONENT_FIELD:
     // Any newer additions to the UNumberFormatFields enum should just be considered an "unknown" part.
     default:
         return "unknown"_s;
@@ -879,7 +447,8 @@ static ASCIILiteral partTypeString(UNumb
     return "unknown"_s;
 }
 
-void IntlNumberFormat::formatToPartsInternal(JSGlobalObject* globalObject, Style style, double value, const String& formatted, IntlFieldIterator& iterator, JSArray* parts, JSString* unit)
+#if 0
+void IntlNumberFormat::formatToPartsInternal(JSGlobalObject* globalObject, double value, const String& formatted, UFieldPositionIterator* iterator, JSArray* parts, JSString* unit)
 {
     VM& vm = globalObject->vm();
     auto scope = DECLARE_THROW_SCOPE(vm);
@@ -891,12 +460,7 @@ void IntlNumberFormat::formatToPartsInte
     Vector<IntlNumberFormatField, 32> fields(stringLength, literalField);
     int32_t beginIndex = 0;
     int32_t endIndex = 0;
-    UErrorCode status = U_ZERO_ERROR;
-    auto fieldType = iterator.next(beginIndex, endIndex, status);
-    if (U_FAILURE(status)) {
-        throwTypeError(globalObject, scope, "Failed to iterate field position iterator"_s);
-        return;
-    }
+    auto fieldType = ufieldpositer_next(iterator, &beginIndex, &endIndex);
     while (fieldType >= 0) {
         size_t size = endIndex - beginIndex;
         for (auto i = beginIndex; i < endIndex; ++i) {
@@ -904,11 +468,7 @@ void IntlNumberFormat::formatToPartsInte
             if (fields[i].size >= size)
                 fields[i] = IntlNumberFormatField { fieldType, size };
         }
-        fieldType = iterator.next(beginIndex, endIndex, status);
-        if (U_FAILURE(status)) {
-            throwTypeError(globalObject, scope, "Failed to iterate field position iterator"_s);
-            return;
-        }
+        fieldType = ufieldpositer_next(iterator, &beginIndex, &endIndex);
     }
 
     auto literalString = jsNontrivialString(vm, "literal"_s);
@@ -922,7 +482,7 @@ void IntlNumberFormat::formatToPartsInte
         auto fieldType = fields[currentIndex].type;
         while (currentIndex < stringLength && fields[currentIndex].type == fieldType)
             ++currentIndex;
-        auto partType = fieldType == literalFieldType ? literalString : jsString(vm, partTypeString(UNumberFormatFields(fieldType), style, value));
+        auto partType = fieldType == literalFieldType ? literalString : jsString(vm, partTypeString(UNumberFormatFields(fieldType), value));
         auto partValue = jsSubstring(vm, formatted, startIndex, currentIndex - startIndex);
         JSObject* part = constructEmptyObject(globalObject);
         part->putDirect(vm, vm.propertyNames->type, partType);
@@ -937,6 +497,8 @@ void IntlNumberFormat::formatToPartsInte
 // https://tc39.github.io/ecma402/#sec-formatnumbertoparts
 JSValue IntlNumberFormat::formatToParts(JSGlobalObject* globalObject, double value) const
 {
+    ASSERT(m_numberFormat);
+
     VM& vm = globalObject->vm();
     auto scope = DECLARE_THROW_SCOPE(vm);
 
@@ -946,28 +508,9 @@ JSValue IntlNumberFormat::formatToParts(
         return throwTypeError(globalObject, scope, "failed to open field position iterator"_s);
 
     Vector<UChar, 32> result;
-#if HAVE(ICU_U_NUMBER_FORMATTER)
-    ASSERT(m_numberFormatter);
-    auto formattedNumber = std::unique_ptr<UFormattedNumber, UFormattedNumberDeleter>(unumf_openResult(&status));
-    if (U_FAILURE(status))
-        return throwTypeError(globalObject, scope, "Failed to format a number."_s);
-    unumf_formatDouble(m_numberFormatter.get(), value, formattedNumber.get(), &status);
-    if (U_FAILURE(status))
-        return throwTypeError(globalObject, scope, "Failed to format a number."_s);
-    status = callBufferProducingFunction(unumf_resultToString, formattedNumber.get(), result);
-    if (U_FAILURE(status))
-        return throwTypeError(globalObject, scope, "Failed to format a number."_s);
-    unumf_resultGetAllFieldPositions(formattedNumber.get(), fieldItr.get(), &status);
-    if (U_FAILURE(status))
-        return throwTypeError(globalObject, scope, "Failed to format a number."_s);
-    IntlFieldIterator iterator(*fieldItr.get());
-#else
-    ASSERT(m_numberFormat);
     status = callBufferProducingFunction(unum_formatDoubleForFields, m_numberFormat.get(), value, result, fieldItr.get());
     if (U_FAILURE(status))
         return throwTypeError(globalObject, scope, "failed to format a number."_s);
-    IntlFieldIterator iterator(*fieldItr.get());
-#endif
 
     auto resultString = String(result);
 
@@ -975,10 +518,11 @@ JSValue IntlNumberFormat::formatToParts(
     if (!parts)
         return throwOutOfMemoryError(globalObject, scope);
 
-    formatToPartsInternal(globalObject, m_style, value, resultString, iterator, parts);
+    formatToPartsInternal(globalObject, value, resultString, fieldItr.get(), parts);
     RETURN_IF_EXCEPTION(scope, { });
 
     return parts;
 }
+#endif
 
 } // namespace JSC
diff -urp webkitgtk-2.32.1.gstreamer/Source/JavaScriptCore/runtime/IntlNumberFormat.h webkitgtk-2.32.1/Source/JavaScriptCore/runtime/IntlNumberFormat.h
--- webkitgtk-2.32.1.gstreamer/Source/JavaScriptCore/runtime/IntlNumberFormat.h	2021-02-26 03:57:05.000000000 -0600
+++ webkitgtk-2.32.1/Source/JavaScriptCore/runtime/IntlNumberFormat.h	2021-05-21 16:13:31.568272151 -0500
@@ -29,29 +29,13 @@
 
 #include "JSObject.h"
 #include <unicode/unum.h>
-#include <wtf/unicode/icu/ICUHelpers.h>
 
-#if !defined(HAVE_ICU_U_NUMBER_FORMATTER)
-// UNUM_COMPACT_FIELD and UNUM_MEASURE_UNIT_FIELD are available after ICU 64.
-#if U_ICU_VERSION_MAJOR_NUM >= 64
-#define HAVE_ICU_U_NUMBER_FORMATTER 1
-#endif
-#endif
-
-#if HAVE(ICU_U_NUMBER_FORMATTER)
-#include <unicode/unumberformatter.h>
-#endif
 
 namespace JSC {
 
-class IntlFieldIterator;
 class JSBoundFunction;
 enum class RelevantExtensionKey : uint8_t;
 
-enum class IntlRoundingType : uint8_t { FractionDigits, SignificantDigits, CompactRounding };
-enum class IntlNotation : uint8_t { Standard, Scientific, Engineering, Compact };
-template<typename IntlType> void setNumberFormatDigitOptions(JSGlobalObject*, IntlType*, Optional<JSObject&>, unsigned minimumFractionDigitsDefault, unsigned maximumFractionDigitsDefault, IntlNotation);
-
 class IntlNumberFormat final : public JSNonFinalObject {
 public:
     using Base = JSNonFinalObject;
@@ -77,20 +61,13 @@ public:
     void initializeNumberFormat(JSGlobalObject*, JSValue locales, JSValue optionsValue);
     JSValue format(JSGlobalObject*, double) const;
     JSValue format(JSGlobalObject*, JSBigInt*) const;
-    JSValue formatToParts(JSGlobalObject*, double) const;
+    //JSValue formatToParts(JSGlobalObject*, double) const;
     JSObject* resolvedOptions(JSGlobalObject*) const;
 
     JSBoundFunction* boundFormat() const { return m_boundFormat.get(); }
     void setBoundFormat(VM&, JSBoundFunction*);
 
-    enum class Style : uint8_t { Decimal, Percent, Currency, Unit };
-
-    static void formatToPartsInternal(JSGlobalObject*, Style, double, const String& formatted, IntlFieldIterator&, JSArray*, JSString* unit = nullptr);
-
-    template<typename IntlType>
-    friend void setNumberFormatDigitOptions(JSGlobalObject*, IntlType*, Optional<JSObject&>, unsigned minimumFractionDigitsDefault, unsigned maximumFractionDigitsDefault, IntlNotation);
-
-    static ASCIILiteral notationString(IntlNotation);
+    //static void formatToPartsInternal(JSGlobalObject*, double, const String& formatted, UFieldPositionIterator*, JSArray*, JSString* unit = nullptr);
 
     static IntlNumberFormat* unwrapForOldFunctions(JSGlobalObject*, JSValue);
 
@@ -101,33 +78,22 @@ private:
 
     static Vector<String> localeData(const String&, RelevantExtensionKey);
 
-    enum class CurrencyDisplay : uint8_t { Code, Symbol, NarrowSymbol, Name };
-    enum class CurrencySign : uint8_t { Standard, Accounting };
-    enum class UnitDisplay : uint8_t { Short, Narrow, Long };
-    enum class CompactDisplay : uint8_t { Short, Long };
-    enum class SignDisplay : uint8_t { Auto, Never, Always, ExceptZero };
+    enum class Style : uint8_t { Decimal, Percent, Currency };
+    enum class CurrencyDisplay : uint8_t { Code, Symbol, Name };
+
+    struct UNumberFormatDeleter {
+        void operator()(UNumberFormat*) const;
+    };
 
     static ASCIILiteral styleString(Style);
     static ASCIILiteral currencyDisplayString(CurrencyDisplay);
-    static ASCIILiteral currencySignString(CurrencySign);
-    static ASCIILiteral unitDisplayString(UnitDisplay);
-    static ASCIILiteral compactDisplayString(CompactDisplay);
-    static ASCIILiteral signDisplayString(SignDisplay);
 
     WriteBarrier<JSBoundFunction> m_boundFormat;
-#if HAVE(ICU_U_NUMBER_FORMATTER)
-    using UNumberFormatterDeleter = ICUDeleter<unumf_close>;
-    using UFormattedNumberDeleter = ICUDeleter<unumf_closeResult>;
-    std::unique_ptr<UNumberFormatter, UNumberFormatterDeleter> m_numberFormatter;
-#else
-    using UNumberFormatDeleter = ICUDeleter<unum_close>;
-    std::unique_ptr<UNumberFormat, ICUDeleter<unum_close>> m_numberFormat;
-#endif
+    std::unique_ptr<UNumberFormat, UNumberFormatDeleter> m_numberFormat;
 
     String m_locale;
     String m_numberingSystem;
     String m_currency;
-    String m_unit;
     unsigned m_minimumIntegerDigits { 1 };
     unsigned m_minimumFractionDigits { 0 };
     unsigned m_maximumFractionDigits { 3 };
@@ -135,13 +101,7 @@ private:
     unsigned m_maximumSignificantDigits { 0 };
     Style m_style { Style::Decimal };
     CurrencyDisplay m_currencyDisplay;
-    CurrencySign m_currencySign;
-    UnitDisplay m_unitDisplay;
-    CompactDisplay m_compactDisplay;
-    IntlNotation m_notation { IntlNotation::Standard };
-    SignDisplay m_signDisplay;
     bool m_useGrouping { true };
-    IntlRoundingType m_roundingType { IntlRoundingType::FractionDigits };
 };
 
 } // namespace JSC
diff -urp webkitgtk-2.32.1.gstreamer/Source/JavaScriptCore/runtime/IntlNumberFormatInlines.h webkitgtk-2.32.1/Source/JavaScriptCore/runtime/IntlNumberFormatInlines.h
--- webkitgtk-2.32.1.gstreamer/Source/JavaScriptCore/runtime/IntlNumberFormatInlines.h	2021-02-26 03:57:05.000000000 -0600
+++ webkitgtk-2.32.1/Source/JavaScriptCore/runtime/IntlNumberFormatInlines.h	2021-05-22 16:04:48.435840065 -0500
@@ -32,96 +32,6 @@
 
 namespace JSC  {
 
-template<typename IntlType>
-void setNumberFormatDigitOptions(JSGlobalObject* globalObject, IntlType* intlInstance, Optional<JSObject&> options, unsigned minimumFractionDigitsDefault, unsigned maximumFractionDigitsDefault, IntlNotation notation)
-{
-    VM& vm = globalObject->vm();
-    auto scope = DECLARE_THROW_SCOPE(vm);
-
-    unsigned minimumIntegerDigits = intlNumberOption(globalObject, options, vm.propertyNames->minimumIntegerDigits, 1, 21, 1);
-    RETURN_IF_EXCEPTION(scope, void());
-
-    JSValue minimumFractionDigitsValue = jsUndefined();
-    JSValue maximumFractionDigitsValue = jsUndefined();
-    JSValue minimumSignificantDigitsValue = jsUndefined();
-    JSValue maximumSignificantDigitsValue = jsUndefined();
-    if (options) {
-        minimumFractionDigitsValue = options->get(globalObject, vm.propertyNames->minimumFractionDigits);
-        RETURN_IF_EXCEPTION(scope, void());
-
-        maximumFractionDigitsValue = options->get(globalObject, vm.propertyNames->maximumFractionDigits);
-        RETURN_IF_EXCEPTION(scope, void());
-
-        minimumSignificantDigitsValue = options->get(globalObject, vm.propertyNames->minimumSignificantDigits);
-        RETURN_IF_EXCEPTION(scope, void());
-
-        maximumSignificantDigitsValue = options->get(globalObject, vm.propertyNames->maximumSignificantDigits);
-        RETURN_IF_EXCEPTION(scope, void());
-    }
-
-    intlInstance->m_minimumIntegerDigits = minimumIntegerDigits;
-
-    if (!minimumSignificantDigitsValue.isUndefined() || !maximumSignificantDigitsValue.isUndefined()) {
-        intlInstance->m_roundingType = IntlRoundingType::SignificantDigits;
-        unsigned minimumSignificantDigits = intlDefaultNumberOption(globalObject, minimumSignificantDigitsValue, vm.propertyNames->minimumSignificantDigits, 1, 21, 1);
-        RETURN_IF_EXCEPTION(scope, void());
-        unsigned maximumSignificantDigits = intlDefaultNumberOption(globalObject, maximumSignificantDigitsValue, vm.propertyNames->maximumSignificantDigits, minimumSignificantDigits, 21, 21);
-        RETURN_IF_EXCEPTION(scope, void());
-        intlInstance->m_minimumSignificantDigits = minimumSignificantDigits;
-        intlInstance->m_maximumSignificantDigits = maximumSignificantDigits;
-        return;
-    }
-
-    if (!minimumFractionDigitsValue.isUndefined() || !maximumFractionDigitsValue.isUndefined()) {
-        constexpr unsigned undefinedValue = UINT32_MAX;
-        intlInstance->m_roundingType = IntlRoundingType::FractionDigits;
-        unsigned specifiedMinimumFractionDigits = intlDefaultNumberOption(globalObject, minimumFractionDigitsValue, vm.propertyNames->minimumFractionDigits, 0, 20, undefinedValue);
-        RETURN_IF_EXCEPTION(scope, void());
-        unsigned specifiedMaximumFractionDigits = intlDefaultNumberOption(globalObject, maximumFractionDigitsValue, vm.propertyNames->maximumFractionDigits, 0, 20, undefinedValue);
-        RETURN_IF_EXCEPTION(scope, void());
-        if (specifiedMaximumFractionDigits != undefinedValue)
-            minimumFractionDigitsDefault = std::min(minimumFractionDigitsDefault, specifiedMaximumFractionDigits);
-        unsigned minimumFractionDigits = intlDefaultNumberOption(globalObject, (specifiedMinimumFractionDigits == undefinedValue) ? jsUndefined() : jsNumber(specifiedMinimumFractionDigits), vm.propertyNames->minimumFractionDigits, 0, 20, minimumFractionDigitsDefault);
-        RETURN_IF_EXCEPTION(scope, void());
-        unsigned maximumFractionDigits = intlDefaultNumberOption(globalObject, (specifiedMaximumFractionDigits == undefinedValue) ? jsUndefined() : jsNumber(specifiedMaximumFractionDigits), vm.propertyNames->maximumFractionDigits, 0, 20, std::max(maximumFractionDigitsDefault, minimumFractionDigits));
-        RETURN_IF_EXCEPTION(scope, void());
-        if (minimumFractionDigits > maximumFractionDigits) {
-            throwRangeError(globalObject, scope, "Computed minimumFractionDigits is larger than maximumFractionDigits"_s);
-            return;
-        }
-        intlInstance->m_minimumFractionDigits = minimumFractionDigits;
-        intlInstance->m_maximumFractionDigits = maximumFractionDigits;
-        return;
-    }
-
-    if (notation == IntlNotation::Compact) {
-        intlInstance->m_roundingType = IntlRoundingType::CompactRounding;
-        return;
-    }
-
-    intlInstance->m_roundingType = IntlRoundingType::FractionDigits;
-    intlInstance->m_minimumFractionDigits = minimumFractionDigitsDefault;
-    intlInstance->m_maximumFractionDigits = maximumFractionDigitsDefault;
-}
-
-class IntlFieldIterator {
-public:
-    WTF_MAKE_NONCOPYABLE(IntlFieldIterator);
-
-    explicit IntlFieldIterator(UFieldPositionIterator& iterator)
-        : m_iterator(iterator)
-    {
-    }
-
-    int32_t next(int32_t& beginIndex, int32_t& endIndex, UErrorCode&)
-    {
-        return ufieldpositer_next(&m_iterator, &beginIndex, &endIndex);
-    }
-
-private:
-    UFieldPositionIterator& m_iterator;
-};
-
 // https://tc39.es/ecma402/#sec-unwrapnumberformat
 inline IntlNumberFormat* IntlNumberFormat::unwrapForOldFunctions(JSGlobalObject* globalObject, JSValue thisValue)
 {
diff -urp webkitgtk-2.32.1.gstreamer/Source/JavaScriptCore/runtime/IntlNumberFormatPrototype.cpp webkitgtk-2.32.1/Source/JavaScriptCore/runtime/IntlNumberFormatPrototype.cpp
--- webkitgtk-2.32.1.gstreamer/Source/JavaScriptCore/runtime/IntlNumberFormatPrototype.cpp	2021-02-26 03:57:05.000000000 -0600
+++ webkitgtk-2.32.1/Source/JavaScriptCore/runtime/IntlNumberFormatPrototype.cpp	2021-05-21 16:39:54.008627131 -0500
@@ -28,14 +28,13 @@
 #include "IntlNumberFormatPrototype.h"
 
 #include "BuiltinNames.h"
-#include "IntlNumberFormatInlines.h"
 #include "JSBoundFunction.h"
 #include "JSCInlines.h"
 
 namespace JSC {
 
 static JSC_DECLARE_HOST_FUNCTION(IntlNumberFormatPrototypeGetterFormat);
-static JSC_DECLARE_HOST_FUNCTION(IntlNumberFormatPrototypeFuncFormatToParts);
+//static JSC_DECLARE_HOST_FUNCTION(IntlNumberFormatPrototypeFuncFormatToParts);
 static JSC_DECLARE_HOST_FUNCTION(IntlNumberFormatPrototypeFuncResolvedOptions);
 static JSC_DECLARE_HOST_FUNCTION(IntlNumberFormatFuncFormat);
 
@@ -50,7 +49,6 @@ const ClassInfo IntlNumberFormatPrototyp
 /* Source for IntlNumberFormatPrototype.lut.h
 @begin numberFormatPrototypeTable
   format           IntlNumberFormatPrototypeGetterFormat         DontEnum|Accessor
-  formatToParts    IntlNumberFormatPrototypeFuncFormatToParts    DontEnum|Function 1
   resolvedOptions  IntlNumberFormatPrototypeFuncResolvedOptions  DontEnum|Function 0
 @end
 */
@@ -137,6 +135,7 @@ JSC_DEFINE_HOST_FUNCTION(IntlNumberForma
     return JSValue::encode(boundFormat);
 }
 
+#if 0
 JSC_DEFINE_HOST_FUNCTION(IntlNumberFormatPrototypeFuncFormatToParts, (JSGlobalObject* globalObject, CallFrame* callFrame))
 {
     VM& vm = globalObject->vm();
@@ -155,6 +154,7 @@ JSC_DEFINE_HOST_FUNCTION(IntlNumberForma
 
     RELEASE_AND_RETURN(scope, JSValue::encode(numberFormat->formatToParts(globalObject, value)));
 }
+#endif
 
 JSC_DEFINE_HOST_FUNCTION(IntlNumberFormatPrototypeFuncResolvedOptions, (JSGlobalObject* globalObject, CallFrame* callFrame))
 {
diff -urp webkitgtk-2.32.1.gstreamer/Source/JavaScriptCore/runtime/IntlObject.cpp webkitgtk-2.32.1/Source/JavaScriptCore/runtime/IntlObject.cpp
--- webkitgtk-2.32.1.gstreamer/Source/JavaScriptCore/runtime/IntlObject.cpp	2021-02-26 03:57:05.000000000 -0600
+++ webkitgtk-2.32.1/Source/JavaScriptCore/runtime/IntlObject.cpp	2021-05-21 10:54:14.891133075 -0500
@@ -39,19 +39,11 @@
 #include "IntlDisplayNames.h"
 #include "IntlDisplayNamesConstructor.h"
 #include "IntlDisplayNamesPrototype.h"
-#include "IntlListFormat.h"
-#include "IntlListFormatConstructor.h"
-#include "IntlListFormatPrototype.h"
-#include "IntlLocale.h"
-#include "IntlLocaleConstructor.h"
-#include "IntlLocalePrototype.h"
 #include "IntlNumberFormatConstructor.h"
 #include "IntlNumberFormatPrototype.h"
 #include "IntlObjectInlines.h"
 #include "IntlPluralRulesConstructor.h"
 #include "IntlPluralRulesPrototype.h"
-#include "IntlRelativeTimeFormatConstructor.h"
-#include "IntlRelativeTimeFormatPrototype.h"
 #include "IntlSegmenter.h"
 #include "IntlSegmenterConstructor.h"
 #include "IntlSegmenterPrototype.h"
@@ -59,7 +51,6 @@
 #include "Options.h"
 #include <unicode/ubrk.h>
 #include <unicode/ucol.h>
-#include <unicode/ufieldpositer.h>
 #include <unicode/uloc.h>
 #include <unicode/unumsys.h>
 #include <wtf/Assertions.h>
@@ -96,20 +87,6 @@ static JSValue createDisplayNamesConstru
     return IntlDisplayNamesConstructor::create(vm, IntlDisplayNamesConstructor::createStructure(vm, globalObject, globalObject->functionPrototype()), jsCast<IntlDisplayNamesPrototype*>(globalObject->displayNamesStructure()->storedPrototypeObject()));
 }
 
-static JSValue createListFormatConstructor(VM& vm, JSObject* object)
-{
-    IntlObject* intlObject = jsCast<IntlObject*>(object);
-    JSGlobalObject* globalObject = intlObject->globalObject(vm);
-    return IntlListFormatConstructor::create(vm, IntlListFormatConstructor::createStructure(vm, globalObject, globalObject->functionPrototype()), jsCast<IntlListFormatPrototype*>(globalObject->listFormatStructure()->storedPrototypeObject()));
-}
-
-static JSValue createLocaleConstructor(VM& vm, JSObject* object)
-{
-    IntlObject* intlObject = jsCast<IntlObject*>(object);
-    JSGlobalObject* globalObject = intlObject->globalObject(vm);
-    return IntlLocaleConstructor::create(vm, IntlLocaleConstructor::createStructure(vm, globalObject, globalObject->functionPrototype()), jsCast<IntlLocalePrototype*>(globalObject->localeStructure()->storedPrototypeObject()));
-}
-
 static JSValue createNumberFormatConstructor(VM& vm, JSObject* object)
 {
     IntlObject* intlObject = jsCast<IntlObject*>(object);
@@ -124,13 +101,6 @@ static JSValue createPluralRulesConstruc
     return IntlPluralRulesConstructor::create(vm, IntlPluralRulesConstructor::createStructure(vm, globalObject, globalObject->functionPrototype()), jsCast<IntlPluralRulesPrototype*>(globalObject->pluralRulesStructure()->storedPrototypeObject()));
 }
 
-static JSValue createRelativeTimeFormatConstructor(VM& vm, JSObject* object)
-{
-    IntlObject* intlObject = jsCast<IntlObject*>(object);
-    JSGlobalObject* globalObject = intlObject->globalObject(vm);
-    return IntlRelativeTimeFormatConstructor::create(vm, IntlRelativeTimeFormatConstructor::createStructure(vm, globalObject, globalObject->functionPrototype()), jsCast<IntlRelativeTimeFormatPrototype*>(globalObject->relativeTimeFormatStructure()->storedPrototypeObject()));
-}
-
 static JSValue createSegmenterConstructor(VM& vm, JSObject* object)
 {
     IntlObject* intlObject = jsCast<IntlObject*>(object);
@@ -149,10 +119,8 @@ namespace JSC {
   getCanonicalLocales   intlObjectFuncGetCanonicalLocales            DontEnum|Function 1
   Collator              createCollatorConstructor                    DontEnum|PropertyCallback
   DateTimeFormat        createDateTimeFormatConstructor              DontEnum|PropertyCallback
-  Locale                createLocaleConstructor                      DontEnum|PropertyCallback
   NumberFormat          createNumberFormatConstructor                DontEnum|PropertyCallback
   PluralRules           createPluralRulesConstructor                 DontEnum|PropertyCallback
-  RelativeTimeFormat    createRelativeTimeFormatConstructor          DontEnum|PropertyCallback
   Segmenter             createSegmenterConstructor                   DontEnum|PropertyCallback
 @end
 */
@@ -165,11 +133,13 @@ struct MatcherResult {
 
 const ClassInfo IntlObject::s_info = { "Intl", &Base::s_info, &intlObjectTable, nullptr, CREATE_METHOD_TABLE(IntlObject) };
 
+#if 0
 void UFieldPositionIteratorDeleter::operator()(UFieldPositionIterator* iterator) const
 {
     if (iterator)
         ufieldpositer_close(iterator);
 }
+#endif
 
 IntlObject::IntlObject(VM& vm, Structure* structure)
     : Base(vm, structure)
@@ -193,11 +163,6 @@ void IntlObject::finishCreation(VM& vm,
 #else
     UNUSED_PARAM(&createDisplayNamesConstructor);
 #endif
-#if HAVE(ICU_U_LIST_FORMATTER)
-    putDirectWithoutTransition(vm, vm.propertyNames->ListFormat, createListFormatConstructor(vm, this), static_cast<unsigned>(PropertyAttribute::DontEnum));
-#else
-    UNUSED_PARAM(&createListFormatConstructor);
-#endif
 }
 
 Structure* IntlObject::createStructure(VM& vm, JSGlobalObject* globalObject, JSValue prototype)
@@ -624,7 +589,7 @@ Vector<String> canonicalizeLocaleList(JS
         return seen;
 
     JSObject* localesObject;
-    if (locales.isString() || locales.inherits<IntlLocale>(vm)) {
+    if (locales.isString()) {
         JSArray* localesArray = JSArray::tryCreate(vm, globalObject->arrayStructureForIndexingTypeDuringAllocation(ArrayWithContiguous));
         if (!localesArray) {
             throwOutOfMemoryError(globalObject, scope);
@@ -661,15 +626,11 @@ Vector<String> canonicalizeLocaleList(JS
             }
 
             String tag;
-            if (kValue.inherits<IntlLocale>(vm))
-                tag = jsCast<IntlLocale*>(kValue)->toString();
-            else {
-                JSString* string = kValue.toString(globalObject);
-                RETURN_IF_EXCEPTION(scope, Vector<String>());
+            JSString* string = kValue.toString(globalObject);
+            RETURN_IF_EXCEPTION(scope, Vector<String>());
 
-                tag = string->value(globalObject);
-                RETURN_IF_EXCEPTION(scope, Vector<String>());
-            }
+            tag = string->value(globalObject);
+        RETURN_IF_EXCEPTION(scope, Vector<String>());
 
             if (isStructurallyValidLanguageTag(tag)) {
                 ASSERT(tag.isAllASCII());
diff -urp webkitgtk-2.32.1.gstreamer/Source/JavaScriptCore/runtime/IntlObject.h webkitgtk-2.32.1/Source/JavaScriptCore/runtime/IntlObject.h
--- webkitgtk-2.32.1.gstreamer/Source/JavaScriptCore/runtime/IntlObject.h	2021-02-26 03:57:05.000000000 -0600
+++ webkitgtk-2.32.1/Source/JavaScriptCore/runtime/IntlObject.h	2021-05-21 10:55:06.947407936 -0500
@@ -89,7 +89,6 @@ inline const HashSet<String>& intlDispla
 inline const HashSet<String>& intlNumberFormatAvailableLocales() { return intlAvailableLocales(); }
 inline const HashSet<String>& intlPluralRulesAvailableLocales() { return intlAvailableLocales(); }
 inline const HashSet<String>& intlRelativeTimeFormatAvailableLocales() { return intlAvailableLocales(); }
-inline const HashSet<String>& intlListFormatAvailableLocales() { return intlAvailableLocales(); }
 
 TriState intlBooleanOption(JSGlobalObject*, Optional<JSObject&> options, PropertyName);
 String intlStringOption(JSGlobalObject*, Optional<JSObject&> options, PropertyName, std::initializer_list<const char*> values, const char* notFound, const char* fallback);
